#pragma once

class CTexture
{
private:
	GLuint Texture;

public:
	CTexture();
	~CTexture();

	operator GLuint ();

	bool loadTexture2D(char *FileName);
	bool loadTextureCubeMap(char **FileNames);
	void releaseTexture();

private:
	FIBITMAP *GetBitmap(char *FileName);
};
